package com.steerinfo.feigen.service;

import com.steerinfo.feigen.model.LgWeight;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "xt-ems-product",url = "192.168.64.1:8888")
@Component
public interface LgWeightFeigenService {

    @GetMapping("v1/lgweight/queryWeightByTime")
    public List<LgWeight> QueryWeightByTime();

}
